//////////////////////////////////////////////////////////////////////
// At89s51Isp.h: interface for the CAt89s51Isp class.
//AT89S51 Isp编程方法类
//这个类封装了对AT89S51,S52各种编程操作的具体细节
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AT89S51ISP_H__1C3B5BB0_A672_4306_8456_6E5E90866C7D__INCLUDED_)
#define AFX_AT89S51ISP_H__1C3B5BB0_A672_4306_8456_6E5E90866C7D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IsPro.h"


class CAt89s51Isp : public CIsPro  
{
public:
	CAt89s51Isp();
	virtual ~CAt89s51Isp();
	virtual void InitIsPro(CParallelPro* pParlPro);
	virtual void PreparePro();//编程前的工作
	virtual void ReadSign(BYTE* pBuf);//读特征字
	virtual void Erase();//擦除器件
	virtual BOOL Write(BYTE Data,int nAddr);//写器件一个单元
	virtual BYTE Read(int nAddr);//读器件一个单元
	virtual BOOL LockBit(int nBit);//写锁定位
	virtual void ProOver();//编程结束后的工作
};

#endif // !defined(AFX_AT89S51ISP_H__1C3B5BB0_A672_4306_8456_6E5E90866C7D__INCLUDED_)
